#pragma once
#include <windows.h>

#define FFMPEG_BIN "ffmpeg.exe"
#define PIPESIZE 1024000

typedef struct
{
  HANDLE hPipe;
  string pipename;
} pipe_t;

typedef struct
{
  string name;
  STARTUPINFO si;
  PROCESS_INFORMATION pi;

} proc_t;




pipe_t* create_pipe();
int connect_pipe(pipe_t *hp);
int pipewrite(pipe_t *hp, char *buf, int len);
int piperead(pipe_t *hp, char *buf, int len);
void close_pipe(pipe_t *hp);

proc_t* run_proc(char *cmdline, int newcons=true);
int wait_proc(proc_t* pp);

